# Interface IChangeLayoutEventArgs

The `IChangeLayoutEventArgs` interface describes the object that all `ChangeLayout` event handlers receive as an argument.

## Index

### Properties

- layout
- results

## Properties

### layout

layout: ValidLayout

- Defined in events/ResultListEvents.ts :53

The name of the new layout.

### Optional results

results: IQueryResults

- Defined in events/ResultListEvents.ts :58

The current page of results.

### Hierarchy

- IChangeLayoutEventArgs